#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/buildtools/lib/widgets
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/buildtools/lib/widgets
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevcustomproject.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevcustomproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevcustomproject )


##### libkdevcustomproject (module) #############



tde_add_kpart( libkdevcustomproject AUTOMOC
  SOURCES
    selectnewfilesdialog.cpp
    selectnewfilesdialogbase.ui custombuildoptionswidget.cpp
    custombuildoptionswidgetbase.ui custommakeconfigwidget.cpp
    custommakeconfigwidgetbase.ui custommanagerwidget.cpp
    custommanagerwidgetbase.ui customotherconfigwidget.cpp
    customotherconfigwidgetbase.ui customprojectpart.cpp
  LINK kdevbuildbase-shared kdevbuildtoolswidgets-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
